Roomability Guest API
  1. PayGateway
Roomability Guest API
  • Introduction
  • Authentication
  • Errors
  • Booking Flow
  • Reservation
    • Add
      POST
    • Availability
      POST
    • Cancel
      POST
    • Booking Ref
      GET
  • Country
    • Get Countries List
      GET
  • State
    • Get State List
      GET
  • RoomType
    • Get Room Types
      GET
    • Get Room Detail
      GET
  • Guest
    • Detail
      GET
  • Term
    • Detail
      GET
  • Privacy
    • Detail
      GET
  • Payment Method
    • Active List
      GET
  • Paystack
    • Verify
      GET
    • Initialize
      POST
  • Hotel
    • Detail
      GET
    • Hotel Rule
      GET
  • PayGateway
    • Detail
      GET
  • CancelPolicy
    • Detail
  • Search List
    GET
  • Phone Code List
    GET
  1. PayGateway

Detail

GET
https://guestapi.roomability.io/Paygateway/Detail
Last modified:2026-03-12 17:36:21
This endpoint retrieves the details of a payment gateway based on the provided name and status.

Request Parameters#

name (query parameter) - The name of the payment gateway (e.g. "Paystack")
status (query parameter) - The status of the payment gateway (e.g. "test" or "live")

Response#

The response for this request is a JSON object with the following properties:
name (string) - The name of the payment gateway
status (string) - The status of the payment gateway
publicKey (string) - The public key of the payment gateway
errorCode (integer) - The error code, if any
errorMessage (string) - The error message, if any

Sample Response#

{
    "name": "Paystack",
    "status": "Test",
    "publicKey": "pk_test_9jkbv3b342f7dda21e1468e223bf35fd256utyer",
    "errorCode": 0,
    "errorMessage": "Successfully retrieved payment gateway detail."
}

JSON Schema#

The response for this request can be documented as a JSON schema:
{
    "type": "object",
    "properties": {
        "name": {"type": "string"},
        "status": {"type": "string"},
        "publicKey": {"type": "string"},
        "errorCode": {"type": "integer"},
        "errorMessage": {"type": "string"}
    }
}

Request

Query Params

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/Paygateway/Detail?name=Paystack&status=test' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
{
    "name": "Paystack",
    "status": "Test",
    "publicKey": "pk_test_9jkbv3b342f7dda21e1468e223bf35fd256utyer",
    "errorCode": 0,
    "errorMessage": "Successfully retrieved payment gateway detail."
}
Modified at 2026-03-12 17:36:21
Previous
Hotel Rule
Next
Detail
Built with